<?php

/*------------------------------------------------------------------------
# mod_mx_snowflakes Extension
# ------------------------------------------------------------------------
# author    mixwebtemplates
# Copyright (C) 2020 mixwebtemplates.com. All Rights Reserved.
# @license - http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
# Websites: http://www.mixwebtemplates.com
-------------------------------------------------------------------------*/
// no direct access
defined('_JEXEC') or die;

use Joomla\CMS\Factory;
use Joomla\CMS\Helper\ModuleHelper;
use Joomla\CMS\HTML\HTMLHelper;
use Joomla\CMS\Uri\Uri;
use Joomla\CMS\Language\Text;

$document = Factory::getDocument();

if(!defined('DS')){
define( 'DS', DIRECTORY_SEPARATOR );
}

$modID = $module->id;
$modPath = Uri::root(true).'/modules/' . $module->module;
$document->addStyleSheet($modPath.'/assets/css/style.css');
$snowflakes = $params->get('snowflakes');
$snowflakes_color = $params->get('snowflakes_color');
$snowflakes_size = $params->get('snowflakes_size');
$flakes_num = $params->get('flakes_num');
$flake_color = $params->get('flake_color');
$falling_speed_max = $params->get('falling_speed_max');
$falling_speed_min = $params->get('falling_speed_min');
$flake_min_size = $params->get('flake_min_size');
$flake_max_size = $params->get('flake_max_size');
$vertical_size = $params->get('vertical_size');
$fade_away = $params->get('fade_away');
$loadjquery = $params->get('loadjquery');

$snowflakes_zindex = $params->get('snowflakes_zindex');
if($loadjquery)  $document->addScript($modPath.'/assets/js/jquery.min.js');
$document->addScript($modPath.'/assets/js/jsnow.js');

$document->addScriptDeclaration( '
var snoweffect = {"show":"1","flakes_num":"'.$params->get('flakes_num').'","falling_speed_min":"'.$params->get('falling_speed_min').'","falling_speed_max":"'.$params->get('falling_speed_max').'","flake_max_size":"'.$params->get('flake_max_size').'","flake_min_size":"'.$params->get('flake_min_size').'","vertical_size":"'.$params->get('vertical_size').'","flake_color":"'.$params->get('snowflakes_color').'","flake_zindex":"1000","flake_type":"#10053","fade_away":"'.$params->get('fade_away').'"};
');

?>